[SciPy-user] Missing library will not allow SciPy to load.

Louis Pecora pecora at anvil.nrl.navy.mil
Wed Oct 11 05:53:50 CDT 2006

Tom Bridgman wrote:
>> When I do
>> from scipy import *
>> I get the following error:
>> ImportError: Failure linking new module:
>> /Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/ 
>> site-packages/scipy/sparse/sparsetools.so:
>> Library not loaded: /usr/local/lib/libg2c.0.dylib
>>   Referenced from:
>> /Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/ 
>> site-packages/scipy/sparse/sparsetools.so
>>   Reason: image not found
>> It seems I'm missing  libg2c.0.dylib.  I just installed the SciPy
>> SuperPack.  I guess it wasn't in there or was supposed to be installed
>> from some other package.  Does anyone know about this?
> I believe this is installed as part of the g77 package (g77v3.4- 
> bin.tar.gz).
> Tom
> --

Thanks.  You know, I think I didn't install g77 thinking I would never 
need it since I don't use Fortran anymore.  But I didn't think about 
dependencies within SciPy.  I'll install it. 


Lou Pecora

Code 6362
Naval Research Lab
Washington, DC  20375
Ph:  +202-767-6002
email:  pecora at anvil.nrl.navy.mil

More information about the SciPy-user mailing list